#pragma once

#include "CoreMinimal.h"
#include "PortaConnectionSubsystemTestObject.generated.h"

UCLASS()
class UPortaConnectionSubsystemTestObject : public UObject
{
	GENERATED_BODY()
public:
	UFUNCTION(BlueprintCallable, Category = "Porta")
	void SetIntValue(int Val);
	int GetIntValue() const { return IntValue; }

	UFUNCTION(BlueprintCallable, Category = "Porta")
	void SetStringValue(const FString& Val) { StringValue = Val; }
	const FString& GetStringValue() const { return StringValue; }

private:
	int IntValue = 0;
	FString StringValue;
};
